"use strict";
var inversify_1 = require("inversify");
var inversify_external_module_test;
(function (inversify_external_module_test) {
    var Foo = (function () {
        function Foo() {
            this.name = "foo";
        }
        Foo.prototype.greet = function () {
            return this.name;
        };
        return Foo;
    }());
    var Bar = (function () {
        function Bar() {
            this.name = "bar";
        }
        Bar.prototype.greet = function () {
            return this.name;
        };
        return Bar;
    }());
    var FooBar = (function () {
        function FooBar(FooInterface, BarInterface) {
            this.foo = FooInterface;
            this.bar = BarInterface;
        }
        FooBar.prototype.greet = function () {
            return this.foo.greet() + this.bar.greet();
        };
        return FooBar;
    }());
    var kernel = new inversify_1.Kernel();
    var fooRuntimeIdentifier = "FooInterface";
    var barRuntimeIdentifier = "BarInterface";
    var fooBarRuntimeIdentifier = "FooBarInterface";
    var fooBinding = new inversify_1.TypeBinding(fooRuntimeIdentifier, Foo);
    var barBinding = new inversify_1.TypeBinding(barRuntimeIdentifier, Bar);
    var fooBarBinding = new inversify_1.TypeBinding(fooBarRuntimeIdentifier, FooBar);
    kernel.bind(fooBinding);
    kernel.bind(barBinding);
    kernel.bind(fooBarBinding);
    var foo = kernel.resolve(fooRuntimeIdentifier);
    var bar = kernel.resolve(barRuntimeIdentifier);
    var fooBar = kernel.resolve(fooBarRuntimeIdentifier);
    kernel.unbind(fooRuntimeIdentifier);
    kernel.unbindAll();
})(inversify_external_module_test || (inversify_external_module_test = {}));
